logwatch (7.12-3ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:48:42 +0100

logwatch (7.12-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112038). Remaining changes:
    - Drop libsys-cpu-perl and libsys-meminfo-perl from Recommends to
      Suggests as they are in universe.
    - d/t/detail: Check the amount of output when using low, med and
      high values with the detail flag.
    - d/t/packages-and-report: Fix typoes in DEP8 test

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 03 Jun 2025 10:04:10 -0700

logwatch (7.12-3) unstable; urgency=medium

  * Tweak output of the packages-and-report test
  * Add salsa CI config
  * Disable packages-and-report test temporarily, which is failing
    (Closes: 1098314)

 -- Eric Dorland <eric@debian.org>  Tue, 25 Feb 2025 00:38:03 -0500

logwatch (7.12-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop libsys-cpu-perl and libsys-meminfo-perl from Recommends to
      Suggests as they are in universe.
    - d/tests: Add autopkgtest DEP8 tests (LP #1679329):
      + d/t/detail: Check the amount of output when using low, med and
        high values with the detail flag.
  * Dropped:
    - d/p/0014-zz-sys-Suppress-warnings-if-Sys-CPU-or-Sys-MemInfo-a.patch:
      zz-sys: Suppress warnings if Sys::CPU or Sys::MemInfo are missing.
      These are not installed by default in Ubuntu's logwatch packaging.
      (LP #1890749)
      [Included in upstream release]
    - d/p/0015-pam_unix-Ignore-issues-about-etc-securetty-being-mis.patch:
      pam_unix: Ignore issues about /etc/securetty being missing.
      (LP #1890751)
      [Included in upstream release]
    - d/p/0010-zz-zfs-detect-zfs-location.patch: Use explicit paths for
      finding zfs and zpool executables.
      (LP #1880211)
      [Included in upstream release]
    - d/p/fix-typo-extreme-networks.patch: Fix dep8 fail due to typo
      [Included in upstream release]
    - d/tests: Add autopkgtest DEP8 tests (LP #1679329):
      + d/t/control: New file.
      + d/t/basic-checks: Test basic configuration and version.
      + d/t/syntax-check: Perl syntax checking for the logwatch's scripts.
      + d/t/su-l-check: Check if properly report when a user become root.
      + d/t/data/su-l: Log portion used in the above test.
      + d/t/apparmor-unmatched-entries,
        d/t/data/unmatched-entries-apparmor_kern.log: Test for not
        logging as unmatched some lines for apparmor audit in kern.log.
        (LP #1577948)
      + d/t/packages-and-report: Check if the corresponding section
        is present into logwatch report for a list of packages/services
        (now only for sshd).
      [Taken into Debian]
  * d/t/packages-and-report: Fix typos in test case.

 -- Bryce Harrington <bryce@canonical.com>  Mon, 17 Feb 2025 23:37:27 -0800

logwatch (7.12-2) unstable; urgency=medium

  * Team upload, salsa debian namespace
  * Add needed dependency on libhtml-parser-perl
  * Run wrap-and-sort

 -- Eric Dorland <eric@debian.org>  Sun, 02 Feb 2025 18:43:32 -0500

logwatch (7.12-1) unstable; urgency=medium

  * Team upload, salsa debian namespace
  * New upstream version 7.12, should fix ssh parsing
  * Add output artifact for packages-and-report test
  * Enable pristine-tar by default

 -- Eric Dorland <eric@debian.org>  Sat, 01 Feb 2025 15:06:55 -0500

logwatch (7.11-1) unstable; urgency=medium

  * Team upload, salsa debian namespace
  * New upstream version 7.11 (Closes: #1091969)
  * Delete upstreamed patches
  * Refresh patches

 -- Eric Dorland <eric@debian.org>  Mon, 27 Jan 2025 00:34:13 -0500

logwatch (7.7-2) unstable; urgency=medium

  * Team upload, salsa debian namespace.
  * Merge salsa git and uploaded package.
  * Merge most of the delta from Ubuntu
    - Fix typo in extreme-networks script
    - Ignore securetty missing messages from pam_unix (LP #1890749)
    - Fix zfs detection (LP #1880211)
    - Add tests (LP #1679329, LP #1577948), except for "detail" test as it
      fails.
    New delta to Ubuntu in tests: allow for sbin to not be in PATH.
    We're keeping libsys-cpu-perl, libsys-meminfo-perl in recommends.
  * tests/packages-and-report: avoid installing packages ourselves

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.1, no changes needed.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 04 Jan 2025 18:04:55 +0100

logwatch (7.7-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993415). Remaining changes:
    - Drop libsys-cpu-perl and libsys-meminfo-perl from Recommends to
      Suggests as they are in universe.
    - d/p/0014-zz-sys-Suppress-warnings-if-Sys-CPU-or-Sys-MemInfo-a.patch:
      zz-sys: Suppress warnings if Sys::CPU or Sys::MemInfo are missing.
      These are not installed by default in Ubuntu's logwatch packaging.
      (LP #1890749)
    - d/p/0015-pam_unix-Ignore-issues-about-etc-securetty-being-mis.patch:
      pam_unix: Ignore issues about /etc/securetty being missing.
      (LP #1890751)
    - d/p/0010-zz-zfs-detect-zfs-location.patch: Use explicit paths for
      finding zfs and zpool executables.
      (LP #1880211)
    - d/tests: Add autopkgtest DEP8 tests (LP #1679329):
      + d/t/control: New file.
      + d/t/basic-checks: Test basic configuration and version.
      + d/t/syntax-check: Perl syntax checking for the logwatch's scripts.
      + d/t/detail: Check the amount of output when using low, med and
        high values with the detail flag.
      + d/t/su-l-check: Check if properly report when a user become root.
      + d/t/data/su-l: Log portion used in the above test.
      + d/t/apparmor-unmatched-entries,
        d/t/data/unmatched-entries-apparmor_kern.log: Test for not
        logging as unmatched some lines for apparmor audit in kern.log.
        (LP #1577948)
      + d/t/packages-and-report: Check if the corresponding section
        is present into logwatch report for a list of packages/services
        (now only for sshd).
  * d/p/fix-typo-extreme-networks.patch: Fix dep8 fail due to typo

 -- Bryce Harrington <bryce@canonical.com>  Fri, 09 Dec 2022 22:30:40 -0800

logwatch (7.7-1) unstable; urgency=medium

  * New upstream version 7.7
  * Refresh patches, drop mdadm patch - integrated upstream

 -- Willi Mann <willi@debian.org>  Sun, 30 Oct 2022 16:41:44 +0100

logwatch (7.5.6-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946872).
    Remaining changes:
    - Drop libsys-cpu-perl and libsys-meminfo-perl from Recommends to
      Suggests as they are in universe.
    - d/p/0014-zz-sys-Suppress-warnings-if-Sys-CPU-or-Sys-MemInfo-a.patch:
      zz-sys: Suppress warnings if Sys::CPU or Sys::MemInfo are missing.
      These are not installed by default in Ubuntu's logwatch packaging.
      (LP #1890749)
    - d/p/0015-pam_unix-Ignore-issues-about-etc-securetty-being-mis.patch:
      pam_unix: Ignore issues about /etc/securetty being missing.
      (LP #1890751)
    - d/p/0010-zz-zfs-detect-zfs-location.patch: Use explicit paths for
      finding zfs and zpool executables.
      (LP #1880211)
    - d/tests: Add autopkgtest DEP8 tests (LP #1679329):
      + d/t/control: New file.
      + d/t/basic-checks: Test basic configuration and version.
      + d/t/syntax-check: Perl syntax checking for the logwatch's scripts.
      + d/t/detail: Check the amount of output when using low, med and
        high values with the detail flag.
      + d/t/su-l-check: Check if properly report when a user become root.
      + d/t/data/su-l: Log portion used in the above test.
      + d/t/apparmor-unmatched-entries,
        d/t/data/unmatched-entries-apparmor_kern.log: Test for not
        logging as unmatched some lines for apparmor audit in kern.log.
        (LP #1577948)
      + d/t/packages-and-report: Check if the corresponding section
        is present into logwatch report for a list of packages/services
        (now only for sshd).

 -- Bryce Harrington <bryce@canonical.com>  Thu, 13 Jan 2022 02:14:59 +0000

logwatch (7.5.6-1) unstable; urgency=medium

  * New upstream version 7.5.6
  * {s,l}/clam-update.conf: fix encoding (lintian warning)

 -- Willi Mann <willi@debian.org>  Fri, 05 Nov 2021 13:47:57 +0100

logwatch (7.5.5-1ubuntu3) impish; urgency=medium

  * d/tests: Add autopkgtest DEP8 tests (LP: #1679329):
    - d/t/control: New file.
    - d/t/basic-checks: Test basic configuration and version. 
    - d/t/syntax-check: Perl syntax checking for the logwatch's scripts.
    - d/t/detail: Check the amount of output when using low, med and
      high values with the detail flag. 
    - d/t/su-l-check: Check if properly report when a user become root.
      + d/t/data/su-l: Log portion used in this test.
    - d/t/apparmor-unmatched-entries : Test for not logging as unmatched
      some lines for apparmor audit in kern.log.
      + d/t/data/unmatched-entries-apparmor_kern.log: Log portion
        used in the test (LP #1577948).
    - d/t/packages-and-report: Check if the corresponding section
      is present into logwatch report for a list of packages/services
      (now only for sshd).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 29 Jul 2021 16:53:01 +0200

logwatch (7.5.5-1ubuntu2) hirsute; urgency=medium

  * d/p/0010-zz-zfs-detect-zfs-location.patch: Use explicit paths for
    finding zfs and zpool executables.
    (LP: #1880211)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 14 Apr 2021 20:11:05 +0000

logwatch (7.5.5-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop libsys-cpu-perl and libsys-meminfo-perl from Recommends to
      Suggests as they are in universe.
    - d/p/0014-zz-sys-Suppress-warnings-if-Sys-CPU-or-Sys-MemInfo-a.patch:
      zz-sys: Suppress warnings if Sys::CPU or Sys::MemInfo are missing.
      These are not installed by default in Ubuntu's logwatch packaging.
      (LP #1890749)
    - d/p/0015-pam_unix-Ignore-issues-about-etc-securetty-being-mis.patch:
      pam_unix: Ignore issues about /etc/securetty being missing.
      (LP #1890751)
  * Dropped:
    - d/p/0011-postfix-Ignore-Resolved-loghost-to-127.0.0.1.patch:
      postfix: Ignore Resolved loghost to 127.0.0.1.
      (LP: #1583705)
      [Taken upstream]
    - d/p/0012-postfix-Handle-backwards-compatible-mode.patch:
      postfix: Handle backwards-compatible mode.
      (LP #1583705)
      [Taken upstream]
    - d/p/0013-secure-Ignore-warnings-about-gnome-keyring-daemon-it.patch:
      secure: Ignore warnings about gnome-keyring-daemon items already
      registered.
      (LP #1890752)
      [Taken upstream]
    - d/p/0017-audit-Apparmor-DENIED-entries-don-t-always-include-p.patch
      audit: Don't handle "unconfined" profile changes distinct from ordinary loads
      [Taken upstream]
    - d/p/0018-audit-Handle-apparmor-errors-on-DENIED-messages.patch:
      audit: Treat Denial Errors same as Denied
      (LP #1577948)
      [Taken upstream]
    - d/p/0019-exim-Handle-self-signed-certs-warnings.patch:
      exim: Handle self-signed certs warnings.
      (LP #1892269)
      [Taken upstream]
    - d/p/0020-dhcpd-Ignore-lease-age-under-threshold-messages.patch:
      dhcpd: Ignore lease age under threshold messages
      (LP #1578001)
      [Taken upstream]
    - d/p/0021-audit-use-the-term-ALLOWED-instead-of-Grants.patch:
      audit: use the term ALLOWED instead of Grants
      (LP #1577948)
      [Taken upstream]

 -- Bryce Harrington <bryce@canonical.com>  Tue, 23 Feb 2021 18:54:42 +0000

logwatch (7.5.5-1) unstable; urgency=medium

  * New upstream version 7.5.5

 -- Willi Mann <willi@debian.org>  Sun, 31 Jan 2021 19:58:46 +0100

logwatch (7.5.4-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop libsys-cpu-perl and libsys-meminfo-perl from Recommends to
      Suggests as they are in universe.
    - d/p/0011-postfix-Ignore-Resolved-loghost-to-127.0.0.1.patch:
      postfix: Ignore Resolved loghost to 127.0.0.1.
      (LP #1583705)
    - d/p/0012-postfix-Handle-backwards-compatible-mode.patch:
      postfix: Handle backwards-compatible mode.
      (LP #1583705)
    - d/p/0013-secure-Ignore-warnings-about-gnome-keyring-daemon-it.patch:
      secure: Ignore warnings about gnome-keyring-daemon items already
      registered.
      (LP #1890752)
    - d/p/0014-zz-sys-Suppress-warnings-if-Sys-CPU-or-Sys-MemInfo-a.patch:
      zz-sys: Suppress warnings if Sys::CPU or Sys::MemInfo are missing.
      These are not installed by default in Ubuntu's logwatch packaging.
      (LP #1890749)
    - d/p/0015-pam_unix-Ignore-issues-about-etc-securetty-being-mis.patch:
      pam_unix: Ignore issues about /etc/securetty being missing.
      (LP #1890751)
    - d/p/0017-audit-Apparmor-DENIED-entries-don-t-always-include-p.patch
      audit: Don't handle "unconfined" profile changes distinct from ordinary loads
    - d/p/0018-audit-Handle-apparmor-errors-on-DENIED-messages.patch:
      audit: Treat Denial Errors same as Denied
      (LP #1577948)
    - d/p/0019-exim-Handle-self-signed-certs-warnings.patch:
      exim: Handle self-signed certs warnings.
      (LP #1892269)
    - d/p/0020-dhcpd-Ignore-lease-age-under-threshold-messages.patch:
      dhcpd: Ignore lease age under threshold messages
      (LP #1578001)
    - d/p/0021-audit-use-the-term-ALLOWED-instead-of-Grants.patch:
      audit: use the term ALLOWED instead of Grants
      (LP #1577948)
  * Dropped:
    - d/control: Update upstream's homepage
      [Taken in 7.5.4-1]

 -- Bryce Harrington <bryce@canonical.com>  Thu, 05 Nov 2020 04:28:07 +0000

logwatch (7.5.4-1) unstable; urgency=medium

  * New upstream version 7.5.4 (closes: #970684)
  * d/control: Update Homepage field (closes: #956666)
  * d/control: Update Standards-Version from 4.4.1 to 4.5.0
  * Switch to debhelper compat level 11 (from 9)

 -- Willi Mann <willi@debian.org>  Sun, 04 Oct 2020 20:40:40 +0200

logwatch (7.5.4-0ubuntu3) groovy; urgency=medium

  * d/p/0014-zz-sys-Suppress-warnings-if-Sys-CPU-or-Sys-MemInfo-a.patch:
    Update DEP3 to indicate this patch does not need forwarded upstream
    since it corrects a distro packaging issue.
  * d/p/0018-audit-Treat-Denial-Errors-same-as-Denied.patch:
    Update DEP3 to link to where this patch was forwarded upstream.
  * d/p/0021-audit-use-the-term-ALLOWED-instead-of-Grants.patch:
    Fix typo in variable '$allawed'; refresh patch.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 04 Sep 2020 16:08:47 -0700

logwatch (7.5.4-0ubuntu2) groovy; urgency=medium

  [ Bryce Harrington ]
  * d/p/0020-dhcpd-Ignore-lease-age-under-threshold-messages.patch:
    dhcpd: Ignore lease age under threshold messages
    (LP: #1578001)
  * d/p/0019-exim-Handle-self-signed-certs-warnings.patch:
    exim: Handle self-signed certs warnings.
    (LP: #1892269)
  * d/p/0018-audit-Treat-Denial-Errors-same-as-Denied.patch:
    audit: Treat Denial-Errors same as Denied.
    (LP: #1577948)
  * d/p/0017-audit-Apparmor-DENIED-entries-don-t-always-include-p.patch:
    audit: Apparmor DENIED entries don't always include parent=N.
    (LP: #1577948)
  * d/p/0015-pam_unix-Ignore-issues-about-etc-securetty-being-mis.patch:
    pam_unix: Ignore issues about /etc/securetty being missing.
    (LP: #1890751)
  * d/p/0014-zz-sys-Suppress-warnings-if-Sys-CPU-or-Sys-MemInfo-a.patch:
    zz-sys: Suppress warnings if Sys::CPU or Sys::MemInfo are missing.
    These are not installed by default in Ubuntu's logwatch packaging.
    (LP: #1890749)
  * d/p/0013-secure-Ignore-warnings-about-gnome-keyring-daemon-it.patch:
    secure: Ignore warnings about gnome-keyring-daemon items already
    registered.
    (LP: #1890752)
  * d/p/0012-postfix-Handle-backwards-compatible-mode.patch:
    postfix: Handle backwards-compatible mode.
    (LP: #1583705)
  * d/p/0011-postfix-Ignore-Resolved-loghost-to-127.0.0.1.patch:
    postfix: Ignore Resolved loghost to 127.0.0.1.
    (LP: #1583705)
  * d/control: Update upstream's homepage
    (LP: #1891604)

  [ Lucas Kanashiro ]
  * d/p/0021-audit-use-the-term-ALLOWED-instead-of-Grants.patch:
    audit: use the term ALLOWED instead of Grants.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 21 Aug 2020 01:30:10 +0000

logwatch (7.5.4-0ubuntu1) groovy; urgency=medium

  * New upstream version 7.5.4.  Remaining changes:
    - Drop libsys-cpu-perl and libsys-meminfo-perl from Recommends to
      Suggests as they are in universe.
  * Dropped:
    - Drop 0005-Match-connection-shutdown-by-couriertls.patch
      [Taken upstream in 7.5.4]
    - Drop 0006-imapd-Handle-SSL3-connection-errors.patch
      [Taken upstream in 7.5.4]
  
 -- Bryce Harrington <bryce@canonical.com>  Mon, 03 Aug 2020 18:27:31 -0700

logwatch (7.5.2-1ubuntu2) groovy; urgency=medium

  * 0006-imapd-Handle-SSL3-connection-errors.patch: Handle SSL3
    connection errors for couriertls in imapd.
  * 0005-Match-connection-shutdown-by-couriertls.patch: Match connection
    shutdown entries by couriertls.  These are likely just client errors
    and do not represent real problems.
    (LP: #1578004)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 05 Jun 2020 23:16:23 +0000

logwatch (7.5.2-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop libsys-cpu-perl and libsys-meminfo-perl from Recommends to
      Suggests as they are in universe.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 23 Jan 2020 11:53:10 -0800

logwatch (7.5.2-1) unstable; urgency=medium

  * New upstream version 7.5.2
  * Refresh patches, drop patches included upstream
  * Upgrade policy 4.3.0 -> 4.4.1 (no changes)

 -- Willi Mann <willi@debian.org>  Sun, 12 Jan 2020 12:25:08 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog logwatch`.
